Agent Usage API

This API returns aggregated usage analytics for your organization, broken down by AI tools (agent, chat, code completions, instruct) over a time range.

Tools Usage

This allows you to get information on tool status and usage in the Tabnine Agent.

Get organization usage by tools

get

Returns aggregated usage metrics for an organization over a given time range. Includes per-tool metrics for:

  • agent

  • chat

  • codeCompletions

  • instruct

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
organizationIdstring · uuidRequired

Organization identifier

Example: c19520dc-be63-4b43-a307-c96fccb68962
fromstring · date-timeRequired

Start of the reporting interval (inclusive), in ISO-8601 UTC.

Example: 2025-03-23T00:00:00Z
tostring · date-timeRequired

End of the reporting interval (exclusive or inclusive depending on backend semantics), in ISO-8601 UTC.

Example: 2026-02-23T00:00:00Z
granularitystring · enumRequired

Aggregation granularity for usage data.

Example: allPossible values:
Responses
chevron-right
200

Organization usage for the requested time range.

application/json
organizationIdstring · uuidRequired
fromstring · date-timeRequired
tostring · date-timeRequired
get
/api/v1/organization/usage

Last updated

Was this helpful?